## org.hibernate.dialect.function
Class ConditionalParenthesisFunction

    java.lang.Object
      org.hibernate.dialect.function.StandardSQLFunction
          org.hibernate.dialect.function.ConditionalParenthesisFunction

All Implemented Interfaces:
  SQLFunction

    public class ConditionalParenthesisFunction

extends StandardSQLFunction

Essentially the same as `StandardSQLFunction`, except that here the parentheses are not included when no arguments are given.

Author:
  Jonathan Levinson

Constructor Summary
`ConditionalParenthesisFunction(String name)`
`ConditionalParenthesisFunction(String name, Type type)`

Method Summary
`boolean` `hasParenthesesIfNoArguments()` If there are no arguments, are parentheses required?
`String` `render(List args, SessionFactoryImplementor factory)`

Methods inherited from class org.hibernate.dialect.function.StandardSQLFunction
`getName, getReturnType, getType, hasArguments, render, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConditionalParenthesisFunction

    public ConditionalParenthesisFunction(String name)

### ConditionalParenthesisFunction

    public ConditionalParenthesisFunction(String name,
                                          Type type)

Method Detail

### hasParenthesesIfNoArguments

    public boolean hasParenthesesIfNoArguments()

  Description copied from class: `StandardSQLFunction`
  If there are no arguments, are parentheses required?

  Specified by:
    `hasParenthesesIfNoArguments` in interface `SQLFunction`
  Overrides:
    `hasParenthesesIfNoArguments` in class `StandardSQLFunction`
  Returns:
    True if a no-arg call of this function requires parentheses.

### render

    public String render(List args,
                         SessionFactoryImplementor factory)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.